## SoraV2 Battery Helper

This program is designed for the Ninjutsu Sora V2 mouse. Unfortunately, the manufacturer doesn't provide a Windows program to check the battery status. This often left me with a dead mouse at inconvenient times, like in the middle of a game. To solve this, I created an application that monitors the mouse's battery status and sends notifications based on your settings. It also estimates the remaining battery life by tracking the time it takes for the battery level to drop by one percent.

### SoraV2BatteryHelperSvc
- Retrieves USB data
- Triggers notifications
- Calculates battery status

### SoraV2BatteryHelperNotification
- Sends and displays notifications
- Provides a tray icon for a quick overview
- Shows the remaining battery time


# Installing SoraV2 Battery Helper

To install the SoraV2 Battery Helper using the installer, please follow the steps below.

## Steps to Install

1. **Download the Installer:**
   - Download the `.msi` file from the latest release of the SoraV2 Battery Helper on GitHub.
   - You can find the latest release [here](https://git.jan.sx/krjan02/SoraV2BatteryHelper/releases/latest).

2. **Run the Installer:**
   - Locate the downloaded `.msi` file on your computer and double-click it to start the installation process.

3. **Follow the Installation Wizard:**
   - Follow the on-screen instructions provided by the installation wizard to complete the setup.

4. **Verify Installation:**
   - Once the installation is complete, ensure that the SoraV2 Battery Helper service is running correctly.

By following these steps, you will have successfully installed the SoraV2 Battery Helper on your system.


# Manual Service Installation for SoraV2 Battery Helper

This guide explains how to manually install the SoraV2 Battery Helper service using the provided PowerShell script.

## Steps to manually Install

1. **Download the Build Files:**
   - Download the `SoraV2BatteryHelperManualX.X.X.zip` file from the latest release of the SoraV2 Battery Helper on GitHub.
   - You can find the latest release [here](https://git.jan.sx/krjan02/SoraV2BatteryHelper/releases/latest).

2. **Open PowerShell as an Administrator:**
   - Ensure you have the necessary administrative privileges to install services.

3. **Navigate to the Script Directory:**
   - Open PowerShell and change the directory to where the script is located:
     ```powershell
     cd C:\Path\To\Script
     ```

4. **Run the Script to Install the Service:**
   - Execute the script with the `install` action:
     ```powershell
     .\Install-Service.ps1 -Action install
     ```

5. **Verify the Service Installation:**
   - To ensure the service has been installed correctly, you can check the status of the service:
     ```powershell
     .\Install-Service.ps1 -Action status
     ```

By following these steps, you will have successfully installed the SoraV2 Battery Helper on your system.
