﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoraV2Utils_Service
{
    public class ServiceLogger
    {
        public static ServiceLogger Instance { get; private set; }

        string LogFilePath = "";

        public ServiceLogger()
        {
            var logDirectory = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "Logs");

            Directory.CreateDirectory(logDirectory); // Ensures directory exists

            string logFileName = $"ServiceLog_{DateTime.Now:yyyy_MM_dd}.txt";
            this.LogFilePath = Path.Combine(logDirectory, logFileName);

            Instance = this;
        }

        public void Log(string message)
        {
            using (StreamWriter sw = new StreamWriter(this.LogFilePath, append: true))
            {
                sw.WriteLine($"[{DateTime.Now}] {message}");
            }
        }
    }
}
